rem
rem Batch file to process all of the Polyray data files.
rem 
rem Processing all of the data files can take one or more days, depending
rem on the speed of your processor.  If you want a quick look, then
rem move to a subdirectory and look for an appropriate test image to render.
rem
rem In a couple of cases, a C compiler is necessary to generate data,
rem in particular for the height field and SPD examples.  The batch files
rem are currently set to use the Zortech compiler, however a simple change
rem of the command line should be all you need for another compiler.
rem
rem In order to generated the animations you will need the program 'dta' on
rem your path.
rem
cd simple
call makesimp
cd ..\texture
call maketext
cd ..\stones
call makeston
cd ..\spd
call makespd
cd ..\misc
call makemisc
cd ..\height
call makeheig
cd ..\sweep
call makeswep
cd ..\poly
call makepoly
cd ..\gridded
call makegrid
cd ..\blobs
call makeblob
cd ..\uvmaps
call makeuv
cd ..\person
polyray people.pi -o people.tga
cd ..\animate
call makeanim
cd ..\function
call makefunc
cd ..\robarm
polyray robarm.pi
dta out*.tga
del out*.tga
cd ..
