/*
 * libvec.h - vector library definitions
 *
 * Version:  2.2 (11/17/87)
 * Author:  Eric Haines, 3D/Eye, Inc.
 *
 * Modified: 1 October 1992
 *           Alexander R. Enzmann
 */
#ifndef _LIBVEC_PROTO
#define _LIBVEC_PROTO

#include "def.h"

/* Change this to "PARAMS(x) ()" if your compiler can't handle function 
   prototyping */
#ifndef PARAMS
#define PARAMS(x) x
#endif

#define X_AXIS  0
#define Y_AXIS  1
#define Z_AXIS  2

/* Basic math functions */
void lib_zero_matrix PARAMS((MATRIX mx));
void lib_create_identity_matrix PARAMS((MATRIX mx));
void lib_copy_matrix PARAMS((MATRIX mres, MATRIX mx));
void lib_create_translate_matrix PARAMS((MATRIX mx, COORD4 *vec));
void lib_create_scale_matrix PARAMS((MATRIX mx, COORD4 *vec));
void lib_create_rotate_matrix PARAMS((MATRIX mx, int axis, double angle));
void lib_create_axis_rotate_matrix PARAMS((MATRIX mx, COORD4 *rvec,
                                           double angle));
void lib_create_canonical_matrix PARAMS((MATRIX trans, MATRIX itrans,
                                         COORD4 *origin, COORD4 *up));
void lib_create_view_matrix PARAMS((MATRIX T, COORD4 *from, COORD4 *at,
				    COORD4 *up, int xres, int yres,
				    double angle, double aspect));
void lib_transform_coord PARAMS((COORD4 *vres, COORD4 *vec, MATRIX mx));
void lib_matrix_multiply PARAMS((MATRIX mxres, MATRIX mx1, MATRIX mx2));
void lib_rotate_cube_face PARAMS((COORD4 *vec, int major_axis, int mod_face));
int lib_clip_to_box PARAMS((COORD4 *start, COORD4 *end,  double bounds[2][3]));
double lib_normalize_coord3 PARAMS((COORD4 *cvec));
double lib_gauss_rand PARAMS((long iseed));

#endif
