//
//  This set of textures is based on the original stones textures developed
//  for the "Persistence of Vision Raytracer".  It has been included with
//  the Polyray data archives with permission of the original artist.
//
//		  Stone textures by Mike Miller  1992
//
//  You can simply use the textures Stone1 -> Stone24, or you can develop
//  other similar textures by using the "Grnt-a" textures layered over the
//  Grnt textures.
//
define shiny_white
texture {
   surface {
      ambient white, 0.1
      diffuse white, 0.3
      specular white, 0.4
      microfacet Reitz 10
      }
   }

define shiny_black
texture {
   surface {
      ambient black, 0.0
      diffuse white, 0.1
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_tan
texture {
   surface {
      ambient tan, 0.2
      diffuse tan, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define shiny_salmon
texture {
   surface {
      ambient salmon, 0.2
      diffuse salmon, 0.6
      specular white, 0.8
      microfacet Reitz 10
      }
   }

define clear_yellow
texture {
   surface {
      ambient 0
      diffuse 0
      transmission yellow, 0.9, 1
      }
   }

//--------- Gray  Tan with Rose
define Grnt0
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.153, <0.729, 0.502, 0.451>, <0.769, 0.686, 0.592>]
	 [0.153, 0.398, <0.769, 0.686, 0.592>, <0.843, 0.753, 0.718>]
	 [0.398, 0.559, <0.843, 0.753, 0.718>, <0.780, 0.667, 0.561>]
	 [0.559, 0.729, <0.780, 0.667, 0.561>, <0.741, 0.659, 0.576>]
	 [0.729, 1.001, <0.741, 0.659, 0.576>, <0.729, 0.502, 0.451>])
      }
   }

//----- Creamy Whites with yellow & light gray
define Grnt1
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.212, <0.898, 0.898, 0.851>, <0.969, 0.980, 0.875>]
	 [0.212, 0.424, <0.969, 0.980, 0.875>, <0.859, 0.859, 0.859>]
	 [0.424, 0.627, <0.859, 0.859, 0.859>, <0.992, 0.922, 0.659>]
	 [0.627, 0.881, <0.992, 0.922, 0.659>, <0.937, 0.965, 0.902>]
	 [0.881, 1.000, <0.937, 0.965, 0.902>, <0.898, 0.898, 0.851>])
      }
   }

//------- Deep Cream with light rose, yellow orchid & tan
define Grnt2
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.178, <0.863, 0.757, 0.596>, 0.000,
			<0.925, 0.792, 0.714>, 0.000]
	 [0.178, 0.356, <0.925, 0.792, 0.714>, 0.000,
			<0.871, 0.702, 0.659>, 0.000]
	 [0.356, 0.525, <0.871, 0.702, 0.659>, 0.000,
			<0.992, 0.922, 0.659>, 0.000]
	 [0.525, 0.729, <0.992, 0.922, 0.659>, 0.000,
			<0.902, 0.812, 0.714>, 0.000]
	 [0.729, 1.001, <0.902, 0.812, 0.714>, 0.000,
			<0.863, 0.757, 0.596>, 0.000])
      }
   }

//------- Warm tans olive & light rose with cream
define Grnt3
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.178, <0.831, 0.631, 0.569>, 0.000,
			<0.925, 0.831, 0.714>, 0.000]
	 [0.178, 0.356, <0.925, 0.831, 0.714>, 0.000,
			<0.871, 0.702, 0.659>, 0.000]
	 [0.356, 0.525, <0.871, 0.702, 0.659>, 0.000,
			<0.831, 0.631, 0.569>, 0.000]
	 [0.525, 0.729, <0.831, 0.631, 0.569>, 0.000,
			<0.937, 0.882, 0.820>, 0.000]
	 [0.729, 1.001, <0.937, 0.882, 0.820>, 0.000,
			<0.831, 0.631, 0.569>, 0.000])
      }
   }

//-------- Orchid sand & mouve
define Grnt4
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.178, <0.804, 0.569, 0.494>, 0.000,
			<0.816, 0.725, 0.537>, 0.000]
	 [0.178, 0.356, <0.816, 0.725, 0.537>, 0.000,
			<0.820, 0.580, 0.522>, 0.000]
	 [0.356, 0.525, <0.820, 0.580, 0.522>, 0.000,
			<0.882, 0.725, 0.537>, 0.000]
	 [0.525, 0.729, <0.882, 0.725, 0.537>, 0.000,
			<0.855, 0.729, 0.584>, 0.000]
	 [0.729, 1.001, <0.855, 0.729, 0.584>, 0.000,
			<0.804, 0.569, 0.494>, 0.000])
      }
   }

//------- Medium Mauve Med.Rose & deep cream
define Grnt5
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.178, <0.804, 0.569, 0.494>, 0.000,
			<0.855, 0.729, 0.584>, 0.000]
	 [0.178, 0.356, <0.855, 0.729, 0.584>, 0.000,
			<0.667, 0.502, 0.478>, 0.000]
	 [0.356, 0.525, <0.667, 0.502, 0.478>, 0.000,
			<0.859, 0.624, 0.545>, 0.000]
	 [0.525, 0.729, <0.859, 0.624, 0.545>, 0.000,
			<0.855, 0.729, 0.584>, 0.000]
	 [0.729, 1.001, <0.855, 0.729, 0.584>, 0.000,
			<0.804, 0.569, 0.494>, 0.000])
      }
   }

//--------- Med. Orchid Olive & Dark Tan "mud pie"
define Grnt6
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.153, <0.545, 0.380, 0.345>, 0.000,
			<0.588, 0.475, 0.333>, 0.000]
	 [0.153, 0.398, <0.588, 0.475, 0.333>, 0.000,
			<0.675, 0.478, 0.404>, 0.000]
	 [0.398, 0.559, <0.675, 0.478, 0.404>, 0.000,
			<0.757, 0.635, 0.522>, 0.000]
	 [0.559, 0.729, <0.757, 0.635, 0.522>, 0.000,
			<0.659, 0.549, 0.443>, 0.000]
	 [0.729, 1.001, <0.659, 0.549, 0.443>, 0.000,
			<0.545, 0.380, 0.345>, 0.000])
      }
   }

//------- Dark Orchid Olive & Dark Putty
define Grnt7
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.119,  <0.439, 0.310, 0.282>, <0.463, 0.369, 0.259>]
	 [0.119, 0.322,  <0.463, 0.369, 0.259>, <0.541, 0.369, 0.298>]
	 [0.322, 0.449,  <0.541, 0.369, 0.298>, <0.573, 0.424, 0.286>]
	 [0.449, 0.729,  <0.573, 0.424, 0.286>, <0.494, 0.396, 0.306>]
	 [0.729, 1.001,  <0.494, 0.396, 0.306>, <0.439, 0.310, 0.282>])
      }
   }

//--------- Rose & Light cream Yellows
define Grnt8
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.179, <0.843, 0.655, 0.655>, 0.000,
			<0.886, 0.769, 0.627>, 0.000]
	 [0.179, 0.368, <0.886, 0.769, 0.627>, 0.000,
			<0.906, 0.820, 0.714>, 0.000]
	 [0.368, 0.538, <0.906, 0.820, 0.714>, 0.000,
			<0.851, 0.671, 0.671>, 0.000]
	 [0.538, 0.846, <0.851, 0.671, 0.671>, 0.000,
			<0.890, 0.792, 0.675>, 0.000]
	 [0.846, 0.983, <0.890, 0.792, 0.675>, 0.000,
			<0.827, 0.612, 0.612>, 0.000]
	 [0.983, 1.001, <0.827, 0.612, 0.612>, 0.000,
			<0.843, 0.655, 0.655>, 0.000])
   }
}

//--------- Light Steely Grays
define Grnt9
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.894, 0.886, 0.886>, 0.000,
			<0.745, 0.745, 0.753>, 0.000]
	 [0.154, 0.308, <0.745, 0.745, 0.753>, 0.000,
			<0.902, 0.902, 0.859>, 0.000]
	 [0.308, 0.444, <0.902, 0.902, 0.859>, 0.000,
			<0.729, 0.706, 0.694>, 0.000]
	 [0.444, 0.615, <0.729, 0.706, 0.694>, 0.000,
			<0.588, 0.592, 0.635>, 0.000]
	 [0.615, 0.803, <0.588, 0.592, 0.635>, 0.000,
			<0.608, 0.616, 0.659>, 0.000]
	 [0.803, 1.001, <0.608, 0.616, 0.659>, 0.000,
			<0.894, 0.886, 0.886>, 0.000])
   }
}

//--------- Gray Creams & lavender tans
define Grnt10
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.890, 0.690, 0.690>, 0.000,
			<0.996, 0.835, 0.737>, 0.000]
	 [0.154, 0.308, <0.996, 0.835, 0.737>, 0.000,
			<0.745, 0.635, 0.651>, 0.004]
	 [0.308, 0.444, <0.745, 0.635, 0.651>, 0.004,
			<0.733, 0.596, 0.557>, 0.004]
	 [0.444, 0.615, <0.733, 0.596, 0.557>, 0.004,
			<0.996, 0.835, 0.737>, 0.000]
	 [0.615, 0.803, <0.996, 0.835, 0.737>, 0.000,
			<0.765, 0.616, 0.659>, 0.000]
	 [0.803, 1.001, <0.765, 0.616, 0.659>, 0.000,
			<0.890, 0.690, 0.690>, 0.000])
   }
}

//--------- Creams & Grays Kakhi
define Grnt11
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.800, 0.651, 0.557>, 0.000,
			<0.996, 0.835, 0.737>, 0.000]
	 [0.154, 0.308, <0.996, 0.835, 0.737>, 0.000,
			<0.800, 0.651, 0.557>, 0.000]
	 [0.308, 0.444, <0.800, 0.651, 0.557>, 0.000,
			<0.694, 0.624, 0.604>, 0.004]
	 [0.444, 0.615, <0.694, 0.624, 0.604>, 0.004,
			<0.800, 0.651, 0.557>, 0.000]
	 [0.615, 0.812, <0.800, 0.651, 0.557>, 0.000,
			<0.725, 0.655, 0.651>, 0.000]
	 [0.812, 1.001, <0.725, 0.655, 0.651>, 0.000,
			<0.800, 0.651, 0.557>, 0.000])
   }
}

//--------- Tan Cream & Red Rose 
define Grnt12
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.996, 0.969, 0.800>, 0.000,
			<0.996, 0.682, 0.604>, 0.000]
	 [0.154, 0.308, <0.996, 0.682, 0.604>, 0.000,
			<0.906, 0.820, 0.714>, 0.000]
	 [0.308, 0.444, <0.906, 0.820, 0.714>, 0.000,
			<0.816, 0.631, 0.537>, 0.000]
	 [0.444, 0.615, <0.816, 0.631, 0.537>, 0.000,
			<0.890, 0.792, 0.675>, 0.000]
	 [0.615, 0.812, <0.890, 0.792, 0.675>, 0.000,
			<0.973, 0.627, 0.627>, 0.000]
	 [0.812, 1.001, <0.973, 0.627, 0.627>, 0.000,
			<0.996, 0.969, 0.800>, 0.000])
   }
}

//--------- Cream Rose orange 
define Grnt13
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.996, 0.824, 0.780>, 0.000,
			<0.996, 0.698, 0.624>, 0.000]
	 [0.154, 0.308, <0.996, 0.698, 0.624>, 0.000,
			<0.906, 0.675, 0.553>, 0.000]
	 [0.308, 0.444, <0.906, 0.675, 0.553>, 0.000,
			<0.996, 0.682, 0.604>, 0.000]
	 [0.444, 0.615, <0.996, 0.682, 0.604>, 0.000,
			<0.996, 0.824, 0.780>, 0.000]
	 [0.615, 0.812, <0.996, 0.824, 0.780>, 0.000,
			<0.973, 0.627, 0.627>, 0.000]
	 [0.812, 1.001, <0.973, 0.627, 0.627>, 0.000,
			<0.996, 0.824, 0.780>, 0.000])
   }
}

//--------- Cream Rose & light moss & light Violet
define Grnt14
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.690, 0.612, 0.569>, 0.000,
			<0.737, 0.596, 0.522>, 0.000]
	 [0.154, 0.368, <0.737, 0.596, 0.522>, 0.000,
			<0.776, 0.702, 0.624>, 0.000]
	 [0.368, 0.538, <0.776, 0.702, 0.624>, 0.000,
			<0.796, 0.678, 0.643>, 0.000]
	 [0.538, 0.846, <0.796, 0.678, 0.643>, 0.000,
			<0.690, 0.612, 0.569>, 0.000]
	 [0.846, 0.932, <0.690, 0.612, 0.569>, 0.000,
			<0.773, 0.612, 0.569>, 0.000]
	 [0.932, 1.001, <0.773, 0.612, 0.569>, 0.000,
			<0.690, 0.612, 0.569>, 0.000])
   }
}

//--------- Black with subtle chroma
define Grnt15
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.104, <0.161, 0.133, 0.118>, 0.000,
			<0.110, 0.082, 0.071>, 0.000]
	 [0.104, 0.252, <0.110, 0.082, 0.071>, 0.000,
			<0.161, 0.133, 0.118>, 0.000]
	 [0.252, 0.383, <0.161, 0.133, 0.118>, 0.000,
			<0.000, 0.000, 0.000>, 0.000]
	 [0.383, 0.643, <0.000, 0.000, 0.000>, 0.000,
			<0.161, 0.133, 0.118>, 0.000]
	 [0.643, 0.783, <0.161, 0.133, 0.118>, 0.000,
			<0.220, 0.149, 0.137>, 0.000]
	 [0.783, 0.922, <0.220, 0.149, 0.137>, 0.000,
			<0.000, 0.000, 0.000>, 0.000]
	 [0.922, 0.983, <0.000, 0.000, 0.000>, 0.000,
			<0.220, 0.149, 0.137>, 0.000]
	 [0.983, 1.001, <0.220, 0.149, 0.137>, 0.000,
			<0.161, 0.133, 0.118>, 0.000])
   }
}

//----- White Cream & Peach
define Grnt16
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.316, <0.910, 0.788, 0.788>, 0.000,
	 <0.922, 0.914, 0.871>, 0.000]
	 [0.316, 0.453, <0.922, 0.914, 0.871>, 0.000,
	 <0.894, 0.867, 0.780>, 0.000]
	 [0.453, 0.624, <0.894, 0.867, 0.780>, 0.000,
	 <0.784, 0.788, 0.788>, 0.000]
	 [0.624, 0.726, <0.784, 0.788, 0.788>, 0.000,
	 <0.851, 0.812, 0.741>, 0.000]
	 [0.726, 0.863, <0.851, 0.812, 0.741>, 0.000,
	 <0.647, 0.655, 0.655>, 0.000]
	 [0.863, 1.001, <0.647, 0.655, 0.655>, 0.000,
	 <0.910, 0.788, 0.788>, 0.000])
   }
}

//----- Bug Juice & Green
define Grnt17
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.303, <0.000, 0.239, 0.000>, 0.000,
	 <0.333, 0.294, 0.000>, 0.000]
	 [0.303, 0.588, <0.333, 0.294, 0.000>, 0.000,
	 <0.000, 0.239, 0.341>, 0.000]
	 [0.588, 0.790, <0.000, 0.239, 0.341>, 0.000,
	 <0.000, 0.020, 0.000>, 0.000]
	 [0.790, 1.001, <0.000, 0.020, 0.000>, 0.000,
	 <0.000, 0.239, 0.000>, 0.000])
   }
}

//------------ Rose & cream yellow
define Grnt18
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.202, <1.000, 0.718, 0.541>, 0.000,
	 <0.890, 0.651, 0.612>, 0.000]
	 [0.202, 0.298, <0.890, 0.651, 0.612>, 0.000,
	 <1.000, 0.820, 0.675>, 0.000]
	 [0.298, 0.377, <1.000, 0.820, 0.675>, 0.000,
	 <0.890, 0.643, 0.612>, 0.000]
	 [0.377, 0.465, <0.890, 0.643, 0.612>, 0.000,
	 <0.937, 0.729, 0.561>, 0.000]
	 [0.465, 0.544, <0.937, 0.729, 0.561>, 0.000,
	 <0.878, 0.604, 0.565>, 0.000]
	 [0.544, 0.640, <0.878, 0.604, 0.565>, 0.000,
	 <0.984, 0.780, 0.655>, 0.000]
	 [0.640, 0.860, <0.984, 0.780, 0.655>, 0.000,
	 <1.000, 0.863, 0.635>, 0.000]
	 [0.860, 0.982, <1.000, 0.863, 0.635>, 0.000,
	 <1.000, 0.765, 0.620>, 0.000]
	 [0.982, 1.001, <1.000, 0.765, 0.620>, 0.000,
	 <1.000, 0.718, 0.541>, 0.000])
   }
}

//--------- Gray Marble with White feather Viens
define Grnt19
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.0, 0.3, White,   DimGray]
	 [0.2, 0.4, DimGray, DimGray]
	 [0.4, 0.6, DimGray, DimGray]
	 [0.6, 1.0, DimGray, DimGray])
   }
}

//--------- White Marble with Gray feather Viens
define Grnt20
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.0, 0.3, black, white]
	 [0.2, 0.4, white, white]
	 [0.4, 0.6, white, white]
	 [0.6, 1.0, white, white])
   }
}

//-------- Declare Green Colors
define g1 <0.26, 0.41, 0.31> //---Light Gray Green
define g2 <0.27, 0.34, 0.26> //---Med Gray Green
define g3 <0.13, 0.29, 0.28> //---Med Gray Aqua
define g4 <0.03, 0.18, 0.08> //---Dark Green

//--------- Green Jade
define Grnt21
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.0, 0.1, White,     0.3, SeaGreen,  0.4]
	 [0.1, 0.3, SeaGreen,  0.4, g2,        0.7]
	 [0.3, 0.5, g2,        0.7, DarkGreen, 0.7]
	 [0.5, 0.7, DarkGreen, 0.7, g4,        0.7]
	 [0.7, 0.8, g4,        0.7, DarkGreen, 0.7]
	 [0.8, 1.0, DarkGreen, 0.7, DarkGreen, 0.7])
   }
}

//--------- Green Jade
define Grnt21b
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.0, 0.1, White,     SeaGreen ]
	 [0.1, 0.3, SeaGreen,  g2       ]
	 [0.3, 0.5, g2,        DarkGreen]
	 [0.5, 0.7, DarkGreen, g4       ]
	 [0.7, 0.8, g4,        DarkGreen]
	 [0.8, 1.0, DarkGreen, DarkGreen])
   }
}

//--------- Clear with White feather Viens ----- This one does contain Alpha
define Grnt22
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.00, 0.07, White, White]
	 [0.07, 0.20, White, DimGray]
	 [0.20, 0.30, DimGray, 0.0, black, 1.0]
	 [0.30, 0.70, black,   1.0, black, 1.0]
	 [0.70, 1.00, black,   1.0, DimGray, 0.0])
      }
   }

//---------- Light Tan to Mouve 
define Grnt23
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.178, <0.831, 0.631, 0.569>, 0.000,
			<0.925, 0.831, 0.714>, 0.000]
	 [0.178, 0.356, <0.925, 0.831, 0.714>, 0.000,
			<0.871, 0.702, 0.659>, 0.000]
	 [0.356, 0.525, <0.871, 0.702, 0.659>, 0.000,
			<0.831, 0.631, 0.569>, 0.000]
	 [0.525, 0.729, <0.831, 0.631, 0.569>, 0.000,
			<0.937, 0.882, 0.820>, 0.000]
	 [0.729, 1.001, <0.937, 0.882, 0.820>, 0.000,
			<0.831, 0.631, 0.569>, 0.000])
   }
}

//--------- Light Grays
define Grnt24
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.894, 0.886, 0.886>, 0.000,
			<0.745, 0.745, 0.753>, 0.000]
	 [0.154, 0.308, <0.745, 0.745, 0.753>, 0.000,
			<0.902, 0.902, 0.859>, 0.000]
	 [0.308, 0.444, <0.902, 0.902, 0.859>, 0.000,
			<0.729, 0.706, 0.694>, 0.000]
	 [0.444, 0.615, <0.729, 0.706, 0.694>, 0.000,
			<0.588, 0.592, 0.635>, 0.000]
	 [0.615, 0.803, <0.588, 0.592, 0.635>, 0.000,
			<0.608, 0.616, 0.659>, 0.000]
	 [0.803, 1.001, <0.608, 0.616, 0.659>, 0.000,
			<0.894, 0.886, 0.886>, 0.000])
   }
}

//------------ Moss Greens & Tan 
define Grnt25
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.168, <0.824, 0.725, 0.584>, 0.000,
			<0.514, 0.584, 0.533>, 0.000]
	 [0.168, 0.301, <0.514, 0.584, 0.533>, 0.000,
			<0.298, 0.376, 0.318>, 0.000]
	 [0.301, 0.398, <0.298, 0.376, 0.318>, 0.000,
			<0.263, 0.337, 0.282>, 0.000]
	 [0.398, 0.558, <0.263, 0.337, 0.282>, 0.000,
			<0.431, 0.506, 0.451>, 0.000]
	 [0.558, 0.655, <0.431, 0.506, 0.451>, 0.000,
			<0.529, 0.631, 0.471>, 0.000]
	 [0.655, 0.735, <0.529, 0.631, 0.471>, 0.000,
			<0.333, 0.376, 0.318>, 0.000]
	 [0.735, 0.823, <0.333, 0.376, 0.318>, 0.000,
			<0.298, 0.376, 0.318>, 0.000]
	 [0.823, 0.876, <0.298, 0.376, 0.318>, 0.000,
			<0.416, 0.376, 0.318>, 0.000]
	 [0.876, 0.929, <0.416, 0.376, 0.318>, 0.000,
			<0.416, 0.376, 0.318>, 0.000]
	 [0.929, 1.001, <0.416, 0.376, 0.318>, 0.000,
			<0.824, 0.725, 0.584>, 0.000])
   }
}

//---------- Salmon with thin Green Viens
define Grnt26
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.241, <0.973, 0.973, 0.976>, 0.000,
      <0.973, 0.973, 0.976>, 0.000]
      [0.241, 0.284, <0.973, 0.973, 0.976>, 0.000,
      <0.600, 0.741, 0.608>, 0.000]
      [0.284, 0.336, <0.600, 0.741, 0.608>, 0.000,
      <0.820, 0.643, 0.537>, 0.000]
      [0.336, 0.474, <0.820, 0.643, 0.537>, 0.000,
      <0.886, 0.780, 0.714>, 0.000]
      [0.474, 0.810, <0.886, 0.780, 0.714>, 0.000,
      <0.996, 0.643, 0.537>, 0.000]
      [0.810, 0.836, <0.996, 0.643, 0.537>, 0.000,
      <0.973, 0.973, 0.976>, 0.000]
      [0.836, 1.001, <0.973, 0.973, 0.976>, 0.000,
      <0.973, 0.973, 0.976>, 0.000])
   }
}

//------ Dark Green & Browns
define Grnt27
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.043, <0.773, 0.647, 0.569>, 0.000,
      <0.431, 0.322, 0.227>, 0.000]
      [0.043, 0.113, <0.431, 0.322, 0.227>, 0.000,
      <0.278, 0.282, 0.216>, 0.000]
      [0.113, 0.304, <0.278, 0.282, 0.216>, 0.000,
      <0.278, 0.282, 0.216>, 0.000]
      [0.304, 0.426, <0.278, 0.282, 0.216>, 0.000,
      <0.459, 0.341, 0.243>, 0.000]
      [0.426, 0.843, <0.459, 0.341, 0.243>, 0.000,
      <0.459, 0.341, 0.243>, 0.000]
      [0.843, 0.878, <0.459, 0.341, 0.243>, 0.000,
      <0.459, 0.341, 0.243>, 0.000]
      [0.878, 0.983, <0.459, 0.341, 0.243>, 0.000,
      <0.278, 0.282, 0.216>, 0.000]
      [0.983, 1.001, <0.278, 0.282, 0.216>, 0.000,
      <0.773, 0.647, 0.569>, 0.000])
   }
}

//------- Red Swirl
define Grnt28
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.155, <0.686, 0.235, 0.282>, 0.000,
      <0.686, 0.235, 0.282>, 0.000]
      [0.155, 0.328, <0.686, 0.235, 0.282>, 0.000,
      <0.494, 0.243, 0.294>, 0.000]
      [0.328, 0.474, <0.494, 0.243, 0.294>, 0.000,
      <0.769, 0.329, 0.373>, 0.000]
      [0.474, 0.647, <0.769, 0.329, 0.373>, 0.000,
      <0.769, 0.329, 0.373>, 0.000]
      [0.647, 0.810, <0.769, 0.329, 0.373>, 0.000,
      <0.686, 0.235, 0.282>, 0.000]
      [0.810, 0.922, <0.686, 0.235, 0.282>, 0.000,
      <0.792, 0.388, 0.427>, 0.000]
      [0.922, 1.001, <0.792, 0.388, 0.427>, 0.000,
      <0.686, 0.235, 0.282>, 0.000])
   }
}

//-------- White Tan & thin Reds
define Grnt29
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.053, <0.784, 0.627, 0.522>, 0.000,
      <0.784, 0.627, 0.624>, 0.000]
      [0.053, 0.263, <0.784, 0.627, 0.624>, 0.000,
      <0.824, 0.557, 0.376>, 0.000]
      [0.263, 0.281, <0.824, 0.557, 0.376>, 0.000,
      <0.643, 0.380, 0.376>, 0.000]
      [0.281, 0.325, <0.643, 0.380, 0.376>, 0.000,
      <0.839, 0.722, 0.722>, 0.000]
      [0.325, 0.711, <0.839, 0.722, 0.722>, 0.000,
      <0.784, 0.627, 0.522>, 0.000]
      [0.711, 0.798, <0.784, 0.627, 0.522>, 0.000,
      <0.769, 0.380, 0.376>, 0.000]
      [0.798, 0.895, <0.769, 0.380, 0.376>, 0.000,
      <0.824, 0.557, 0.376>, 0.000]
      [0.895, 0.982, <0.824, 0.557, 0.376>, 0.000,
      <0.784, 0.627, 0.522>, 0.000]
      [0.982, 1.001, <0.784, 0.627, 0.522>, 0.000,
      <0.784, 0.627, 0.522>, 0.000])
   }
}

define Grnt0a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.153, <0.729, 0.502, 0.451>, 0.306,
			<0.769, 0.686, 0.592>, 0.792]
	 [0.153, 0.398, <0.769, 0.686, 0.592>,  0.792,
			<0.843, 0.753, 0.718>,  0.396]
	 [0.398, 0.559, <0.843, 0.753, 0.718>,  0.396,
			<0.780, 0.667, 0.561>,  0.976]
	 [0.559, 0.729, <0.780, 0.667, 0.561>,  0.976,
			<0.741, 0.659, 0.576>,  0.820]
	 [0.729, 1.001,  <0.741, 0.659, 0.576>, 0.820,
			 <0.729, 0.502, 0.451>,  0.306])
      }
   }

//----- Translucent Grnt1
define Grnt1a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.212, <0.898, 0.898, 0.851>, 0.306, 
      <0.969, 0.980, 0.875>, 0.792]
      [0.212, 0.424, <0.969, 0.980, 0.875>, 0.792, 
      <0.859, 0.859, 0.859>, 0.396]
      [0.424, 0.627, <0.859, 0.859, 0.859>, 0.396, 
      <0.992, 0.922, 0.659>, 0.976]
      [0.627, 0.881, <0.992, 0.922, 0.659>, 0.976, 
      <0.937, 0.965, 0.902>, 0.820]
      [0.881, 1.001, <0.937, 0.965, 0.902>, 0.820, 
      <0.898, 0.898, 0.851>, 0.306])
   }
}

//-----Translucent Grnt2
define Grnt2a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.144, <0.863, 0.757, 0.596>, 0.596,
      <0.925, 0.792, 0.714>, 0.349]
      [0.144, 0.288, <0.925, 0.792, 0.714>, 0.349,
      <0.871, 0.702, 0.659>, 0.784]
      [0.288, 0.644, <0.871, 0.702, 0.659>, 0.784,
      <0.992, 0.922, 0.659>, 0.498]
      [0.644, 0.983, <0.992, 0.922, 0.659>, 0.498,
      <0.902, 0.812, 0.714>, 0.722]
      [0.983, 1.001, <0.902, 0.812, 0.714>, 0.722,
      <0.863, 0.757, 0.596>, 0.596])
   }
}

//-----Translucent Grnt3
define Grnt3a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.153, <0.831, 0.631, 0.569>, 0.447,
      <0.925, 0.831, 0.714>, 0.678]
      [0.153, 0.297, <0.925, 0.831, 0.714>, 0.678,
      <0.871, 0.702, 0.659>, 0.475]
      [0.297, 0.441, <0.871, 0.702, 0.659>, 0.475,
      <0.831, 0.631, 0.569>, 0.918]
      [0.441, 0.763, <0.831, 0.631, 0.569>, 0.918,
      <0.937, 0.882, 0.820>, 0.655]
      [0.763, 1.001, <0.937, 0.882, 0.820>, 0.655,
      <0.831, 0.631, 0.569>, 0.447])
   }
}

//-----Translucent Grnt4
define Grnt4a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.144, <0.804, 0.569, 0.494>, 0.569,
      <0.816, 0.725, 0.537>, 0.467]
      [0.144, 0.449, <0.816, 0.725, 0.537>, 0.467,
      <0.820, 0.580, 0.522>, 0.584]
      [0.449, 0.568, <0.820, 0.580, 0.522>, 0.584,
      <0.882, 0.725, 0.537>, 0.871]
      [0.568, 0.754, <0.882, 0.725, 0.537>, 0.871,
      <0.855, 0.729, 0.584>, 0.816]
      [0.754, 1.001, <0.855, 0.729, 0.584>, 0.816,
      <0.804, 0.569, 0.494>, 0.569])
   }
}

//-----Translucent Grnt4
define Grnt5a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.178, <0.804, 0.569, 0.494>, 0.569, 
      <0.855, 0.729, 0.584>, 0.467]
      [0.178, 0.356, <0.855, 0.729, 0.584>, 0.467, 
      <0.667, 0.502, 0.478>, 0.584]
      [0.356, 0.525, <0.667, 0.502, 0.478>, 0.584, 
      <0.859, 0.624, 0.545>, 0.871]
      [0.525, 0.729, <0.859, 0.624, 0.545>, 0.871, 
      <0.855, 0.729, 0.584>, 0.816]
      [0.729, 1.001, <0.855, 0.729, 0.584>, 0.816, 
      <0.804, 0.569, 0.494>, 0.569])
   }
}

//-----Translucent Grnt6
define Grnt6a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.263, <0.545, 0.380, 0.345>, 0.733,
      <0.588, 0.475, 0.333>, 0.741]
      [0.263, 0.432, <0.588, 0.475, 0.333>, 0.741,
      <0.675, 0.478, 0.404>, 0.545]
      [0.432, 0.551, <0.675, 0.478, 0.404>, 0.545,
      <0.757, 0.635, 0.522>, 0.384]
      [0.551, 0.720, <0.757, 0.635, 0.522>, 0.384,
      <0.659, 0.549, 0.443>, 0.675]
      [0.720, 1.001, <0.659, 0.549, 0.443>, 0.675,
      <0.545, 0.380, 0.345>, 0.733])
   }
}

//-----Translucent Grnt7
define Grnt7a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.119, <0.439, 0.310, 0.282>, 0.631,
      <0.463, 0.369, 0.259>, 0.847]
      [0.119, 0.322, <0.463, 0.369, 0.259>, 0.847,
      <0.541, 0.369, 0.298>, 0.549]
      [0.322, 0.449, <0.541, 0.369, 0.298>, 0.549,
      <0.573, 0.424, 0.286>, 0.965]
      [0.449, 0.729, <0.573, 0.424, 0.286>, 0.965,
      <0.494, 0.396, 0.306>, 0.741]
      [0.729, 1.001, <0.494, 0.396, 0.306>, 0.741,
      <0.439, 0.310, 0.282>, 0.631])
   }
}

//-----Aqua Tints 
define Grnt8a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.119, <0.310, 0.384, 0.420>, 0.631,
      <0.322, 0.369, 0.416>, 0.847]
      [0.119, 0.322, <0.322, 0.369, 0.416>, 0.847,
      <0.424, 0.369, 0.420>, 0.549]
      [0.322, 0.449, <0.424, 0.369, 0.420>, 0.549,
      <0.373, 0.424, 0.518>, 0.965]
      [0.449, 0.729, <0.373, 0.424, 0.518>, 0.965,
      <0.482, 0.573, 0.533>, 0.741]
      [0.729, 1.001, <0.482, 0.573, 0.533>, 0.741,
      <0.310, 0.384, 0.420>, 0.631])
   }
}

//-----Alpha Creams With Cracks
define Grnt9a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.216, <0.812, 0.812, 0.812>, 0.835,
      <0.745, 0.843, 0.835>, 0.847]
      [0.216, 0.241, <0.745, 0.843, 0.835>, 0.847,
      <0.404, 0.337, 0.337>, 0.463]
      [0.241, 0.267, <0.404, 0.337, 0.337>, 0.463,
      <0.773, 0.729, 0.745>, 0.622]
      [0.267, 0.759, <0.773, 0.729, 0.745>, 0.622,
      <0.914, 0.843, 0.725>, 0.651]
      [0.759, 0.784, <0.914, 0.843, 0.725>, 0.651,
      <0.153, 0.133, 0.208>, 0.437]
      [0.784, 0.810, <0.153, 0.133, 0.208>, 0.437,
      <0.812, 0.812, 0.812>, 0.835]
      [0.810, 1.001, <0.812, 0.812, 0.812>, 0.835,
      <0.812, 0.812, 0.812>, 0.835])
   }
}

//--------- Alpha Cream Rose & light yellow
define Grnt10a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.179, <0.843, 0.655, 0.655>, 0.455,
      <0.886, 0.769, 0.627>, 0.608]
      [0.179, 0.368, <0.886, 0.769, 0.627>, 0.608,
      <0.906, 0.820, 0.714>, 0.392]
      [0.368, 0.538, <0.906, 0.820, 0.714>, 0.392,
      <0.851, 0.671, 0.671>, 0.659]
      [0.538, 0.744, <0.851, 0.671, 0.671>, 0.659,
      <0.890, 0.792, 0.675>, 0.392]
      [0.744, 0.983, <0.890, 0.792, 0.675>, 0.392,
      <0.827, 0.612, 0.612>, 0.706]
      [0.983, 1.001, <0.827, 0.612, 0.612>, 0.706,
      <0.843, 0.655, 0.655>, 0.455])
   }
}

//--------- Alpha Light Grays
define Grnt11a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.154, <0.894, 0.886, 0.886>, 0.659,
      <0.745, 0.745, 0.753>, 0.584]
      [0.154, 0.308, <0.745, 0.745, 0.753>, 0.584,
      <0.902, 0.902, 0.859>, 0.780]
      [0.308, 0.444, <0.902, 0.902, 0.859>, 0.780,
      <0.729, 0.706, 0.694>, 0.686]
      [0.444, 0.615, <0.729, 0.706, 0.694>, 0.686,
      <0.588, 0.592, 0.635>, 0.424]
      [0.615, 0.803, <0.588, 0.592, 0.635>, 0.424,
      <0.608, 0.616, 0.659>, 0.761]
      [0.803, 1.001, <0.608, 0.616, 0.659>, 0.761,
      <0.894, 0.886, 0.886>, 0.659])
   }
}

//--------- Alpha Creams & Tans
define Grnt12a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
      color_map(
	 [0.000, 0.154, <0.890, 0.690, 0.690>, 0.659,
			<0.996, 0.835, 0.737>, 0.659]
	 [0.154, 0.308, <0.996, 0.835, 0.737>, 0.659,
			<0.745, 0.635, 0.651>, 0.780]
	 [0.308, 0.444, <0.745, 0.635, 0.651>, 0.780,
			<0.733, 0.596, 0.557>, 0.686]
	 [0.444, 0.615, <0.733, 0.596, 0.557>, 0.686,
			<0.996, 0.835, 0.737>, 0.659]
	 [0.615, 0.803, <0.996, 0.835, 0.737>, 0.659,
			<0.765, 0.616, 0.659>, 0.761]
	 [0.803, 1.001, <0.765, 0.616, 0.659>, 0.761,
			<0.890, 0.690, 0.690>, 0.659])
   }
}

//--------- Alpha Creams & Grays
define Grnt13a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.154, <0.800, 0.651, 0.557>, 0.000,
      <0.996, 0.835, 0.737>, 0.608]
      [0.154, 0.308, <0.996, 0.835, 0.737>, 0.608,
      <0.800, 0.651, 0.557>, 0.635]
      [0.308, 0.444, <0.800, 0.651, 0.557>, 0.635,
      <0.694, 0.624, 0.604>, 0.294]
      [0.444, 0.615, <0.694, 0.624, 0.604>, 0.294,
      <0.800, 0.651, 0.557>, 0.816]
      [0.615, 0.812, <0.800, 0.651, 0.557>, 0.816,
      <0.725, 0.655, 0.651>, 0.957]
      [0.812, 1.001, <0.725, 0.655, 0.651>, 0.957,
      <0.800, 0.651, 0.557>, 0.000])
   }
}

//--------- Cream Rose & light moss
define Grnt14a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.154, <0.996, 0.969, 0.800>, 0.373,
      <0.996, 0.682, 0.604>, 0.412]
      [0.154, 0.308, <0.996, 0.682, 0.604>, 0.412,
      <0.906, 0.820, 0.714>, 0.616]
      [0.308, 0.444, <0.906, 0.820, 0.714>, 0.616,
      <0.816, 0.631, 0.537>, 0.443]
      [0.444, 0.615, <0.816, 0.631, 0.537>, 0.443,
      <0.890, 0.792, 0.675>, 0.745]
      [0.615, 0.812, <0.890, 0.792, 0.675>, 0.745,
      <0.973, 0.627, 0.627>, 0.600]
      [0.812, 1.001, <0.973, 0.627, 0.627>, 0.600,
      <0.996, 0.969, 0.800>, 0.373])
   }
}

//--------- Alpha Sand & light Orange
define Grnt15a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.154, <0.996, 0.824, 0.780>, 0.412,
      <0.996, 0.698, 0.624>, 0.412]
      [0.154, 0.308, <0.996, 0.698, 0.624>, 0.412,
      <0.906, 0.675, 0.553>, 0.616]
      [0.308, 0.444, <0.906, 0.675, 0.553>, 0.616,
      <0.996, 0.682, 0.604>, 0.412]
      [0.444, 0.615, <0.996, 0.682, 0.604>, 0.412,
      <0.996, 0.824, 0.780>, 0.412]
      [0.615, 0.812, <0.996, 0.824, 0.780>, 0.412,
      <0.973, 0.627, 0.627>, 0.600]
      [0.812, 1.001, <0.973, 0.627, 0.627>, 0.600,
      <0.996, 0.824, 0.780>, 0.412])
   }
}

//--------- Cream Rose & light moss
define Grnt16a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.078, <0.769, 0.722, 0.690>, 0.180,
      <0.745, 0.690, 0.655>, 1.000]
      [0.078, 0.96, <0.745, 0.690, 0.655>, 1.000,
      <0.839, 0.804, 0.780>, 1.000]
      [0.96, 1.001, <0.839, 0.804, 0.780>, 0.278,
      <0.769, 0.722, 0.690>, 0.180])
   }
}

define Grnt17a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.034, <0.027, 0.012, 0.012>, 0.000,
      <0.851, 0.812, 0.741>, 0.235]
      [0.034, 0.342, <0.851, 0.812, 0.741>, 0.235,
      <0.792, 0.694, 0.690>, 0.839]
      [0.342, 0.462, <0.792, 0.694, 0.690>, 0.839,
      <0.631, 0.506, 0.471>, 0.608]
      [0.462, 0.632, <0.631, 0.506, 0.471>, 0.608,
      <0.851, 0.812, 0.741>, 0.922]
      [0.632, 0.983, <0.851, 0.812, 0.741>, 0.922,
      <0.647, 0.655, 0.655>, 0.282]
      [0.983, 1.001, <0.647, 0.655, 0.655>, 0.282,
      <0.027, 0.012, 0.012>, 0.000])
   }
}

define Grnt18a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.128, <0.820, 0.580, 0.580>, 0.000,
      <0.851, 0.812, 0.741>, 0.235]
      [0.128, 0.282, <0.851, 0.812, 0.741>, 0.235,
      <0.792, 0.694, 0.690>, 0.282]
      [0.282, 0.393, <0.792, 0.694, 0.690>, 0.282,
      <0.647, 0.655, 0.655>, 0.133]
      [0.393, 0.590, <0.647, 0.655, 0.655>, 0.133,
      <0.851, 0.812, 0.741>, 0.333]
      [0.590, 0.983, <0.851, 0.812, 0.741>, 0.333,
      <0.647, 0.655, 0.655>, 0.282]
      [0.983, 1.001, <0.647, 0.655, 0.655>, 0.282,
      <0.820, 0.580, 0.580>, 0.000])
   }
}

//--------- Gray Marble with White feather Viens with Alpha
define Grnt19a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.0, 0.3, White,   0.0, DimGray, 0.5]
      [0.2, 0.4, DimGray, 0.5, DimGray, 0.8]
      [0.4, 1.0, DimGray, 0.8, DimGray, 0.9])
   }
}

//--------- White Feature Viens 
define Grnt20a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.0, 0.2, white, 0.0, white, 0.7]
      [0.2, 0.3, white, 0.7, black, 1.0]
      [0.3, 1.0, black, 1.0, black, 1.0])
   }
}

//--------- Thinner White Feature Viens 
define Grnt21a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.0, 0.2, white, 0.4, white, 0.8]
      [0.2, 0.3, white, 0.8, black, 1.0]
      [0.3, 1.0, black, 1.0, black, 1.0])
   }
}

define Grnt22a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.175, <1.000, 0.718, 0.541>, 0.890,
      <0.843, 0.678, 0.655>, 0.753]
      [0.175, 0.228, <0.843, 0.678, 0.655>, 0.753,
      <0.906, 0.831, 0.773>, 0.98]
      [0.228, 0.386, <0.906, 0.831, 0.773>, 0.698,
      <0.992, 0.718, 0.545>, 0.794]
      [0.386, 0.412, <0.992, 0.718, 0.545>, 0.794,
      <0.333, 0.188, 0.067>, 0.784]
      [0.412, 0.439, <0.333, 0.188, 0.067>, 0.784,
      <0.925, 0.557, 0.514>, 0.778]
      [0.439, 0.684, <0.925, 0.557, 0.514>, 0.678,
      <0.984, 0.780, 0.655>, 0.696]
      [0.684, 0.781, <0.984, 0.780, 0.655>, 0.696,
      <0.965, 0.847, 0.675>, 0.880]
      [0.781, 0.982, <0.965, 0.847, 0.675>, 0.880,
      <1.000, 0.718, 0.541>, 0.990]
      [0.982, 1.001, <1.000, 0.718, 0.541>, 0.890,
      <1.000, 0.718, 0.541>, 0.890])
   }
}

//---------- Transparent Green Moss Colors
define Grnt23a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.168, <0.824, 0.725, 0.584>, 0.600,
      <0.514, 0.584, 0.533>, 0.600]
      [0.168, 0.301, <0.514, 0.584, 0.533>, 0.600,
      <0.298, 0.376, 0.318>, 0.600]
      [0.301, 0.398, <0.298, 0.376, 0.318>, 0.600,
      <0.263, 0.337, 0.282>, 0.700]
      [0.398, 0.558, <0.263, 0.337, 0.282>, 0.700,
      <0.431, 0.506, 0.451>, 0.600]
      [0.558, 0.655, <0.431, 0.506, 0.451>, 0.600,
      <0.529, 0.631, 0.471>, 0.500]
      [0.655, 0.735, <0.529, 0.631, 0.471>, 0.500,
      <0.333, 0.376, 0.318>, 0.700]
      [0.735, 0.823, <0.333, 0.376, 0.318>, 0.700,
      <0.298, 0.376, 0.318>, 0.600]
      [0.823, 0.876, <0.298, 0.376, 0.318>, 0.600,
      <0.416, 0.376, 0.318>, 0.500]
      [0.876, 0.929, <0.416, 0.376, 0.318>, 0.500,
      <0.416, 0.376, 0.318>, 0.600]
      [0.929, 1.001, <0.416, 0.376, 0.318>, 0.600,
      <0.824, 0.725, 0.584>, 0.700])
   }
}

define Grnt24a
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.2
      diffuse 0.6
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.000, 0.053, <0.784, 0.627, 0.522>, 0.500,
      <0.784, 0.627, 0.624>, 0.500]
      [0.053, 0.263, <0.784, 0.627, 0.624>, 0.500,
      <0.824, 0.557, 0.376>, 0.500]
      [0.263, 0.281, <0.824, 0.557, 0.376>, 0.500,
      <0.643, 0.380, 0.376>, 0.500]
      [0.281, 0.325, <0.643, 0.380, 0.376>, 0.500,
      <0.839, 0.722, 0.722>, 0.500]
      [0.325, 0.711, <0.839, 0.722, 0.722>, 0.500,
      <0.784, 0.627, 0.522>, 0.500]
      [0.711, 0.798, <0.784, 0.627, 0.522>, 0.500,
      <0.769, 0.380, 0.376>, 0.500]
      [0.798, 0.895, <0.769, 0.380, 0.376>, 0.500,
      <0.824, 0.557, 0.376>, 0.500]
      [0.895, 0.982, <0.824, 0.557, 0.376>, 0.500,
      <0.784, 0.627, 0.522>, 0.500]
      [0.982, 1.001, <0.784, 0.627, 0.522>, 0.500,
      <0.784, 0.627, 0.522>, 0.500])
   }
}

//--------------------Crack & OverTint /Red---------------------
define Crack1
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.1
      diffuse 0.2
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.00, 0.04, black,     0.6, black,   1.0]
      [0.04, 0.97, firebrick, 0.8, dimgray, 0.9] 
      [0.97, 1.00, black,     0.9, black,   1.0])
   }
}       

//-----Alpha  Dark Cracks
define Crack2
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.1
      diffuse 0.2
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.00, 0.50, black, 1.0, black, 1.0]
      [0.50, 0.54, black, 1.0, black, 0.0]
      [0.54, 1.00, black, 1.0, black, 1.0])
   }
}

//---------- Overtint Green with Black Cracks
define Crack3
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.1
      diffuse 0.2
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.00, 0.04, black,     0.60, black,     1.0]
      [0.04, 0.97, DarkGreen, 0.80, DarkGreen, 0.90] 
      [0.97, 1.00, black,     0.90, black,     1.0])
   }
}       

//--------- Overtint with White Crack
define Crack4
texture {
   noise surface {
      color white
      position_fn 1
      lookup_fn 1
      octaves 6
      turbulence 5
      ambient 0.1
      diffuse 0.2
      specular 0.3
      microfacet Reitz 5
   color_map(
      [0.00, 0.03, white, 0.30, white,   1.0]
      [0.03, 0.97, black, 0.70, DimGray, 0.9] 
      [0.97, 1.00, white, 0.90, white,   1.0])
   }
}       

//------------- Deep Rose & Green Marble with large White Swirls
define Stone1
texture {
   layered
      Grnt0a { scale <2, 3, 2> rotate <0, 0, -30> },
      Grnt7  { scale <2, 3, 2> rotate <0, 0, 40> }
   }

//------------- Light Greenish Tan Marble with Agate style veining
define Stone2
texture {
   layered
      Grnt7a { scale <1.3, 2, 1.3> rotate <0, 0, -30> rotate <40, 0, 0> },
      Grnt0 { scale <2, 3, 2> rotate <0, 0, 40> }
      }

//------------- Rose & Yellow Marble with fog white veining
define Stone3
texture {
   layered
      Grnt0a { scale <2, 3, 2> rotate <0, 0, -30> },
      Grnt5 { scale <2, 3, 2> rotate <0, 0, 40> }
   }

//------------- Tan Marble with Rose patches
define Stone4
texture {
   layered
      Grnt10a { scale <1, 3, 2> rotate <0, 0, -30> },
      Grnt6 { scale <1.5, 3, 2> rotate <0, 0, 40> }
   }

//------------- White Cream Marble with Pink veining
define Stone5
texture {
   layered
      Crack1 { scale <1, 2, 1.4> rotate <10, 0, -20> },
      Grnt17a { scale <2, 3, 2> rotate <0, 0, -30> },
      Grnt12 { scale <2, 3, 2> rotate <0, 0, 40> }
   }

//------------- Rose & Yellow Cream Marble
define Stone6
texture {
   layered
      Crack1 { scale <1, 2, 1.4> rotate <10, 0, -20> },
      Grnt19a { scale <2, 4, 1.3> rotate <0, 0, 30> },
      Grnt18 { scale <1.5, 3, 3> rotate <0, 0, 40> }
   }

//------------- Light Coffee Marble with darker patches
define Stone7
texture {
   layered
      Grnt9a { scale <3.5, 5, 4> rotate <0, 0, 60> },
      Grnt6a { scale <1, 3, 2> rotate <0, 0, 40> },
      shiny_salmon
   }

//------------- Gray Granite with white patches
define Stone8
texture {
   layered
      Grnt0a { scale <2, 3, 2> rotate <0, 0, -30> },
      Grnt9a { scale <5, 3, 4> rotate <0, 0, 40> },
      shiny_white
   }

//------------- White & Light Blue Marble with light violets
define Stone9
texture {
   layered
      Crack1 { scale <1, 2, 1.4> rotate <10, 0, -20> },
      Grnt9 { scale <1.2, 2.4, 1.2> rotate <0, 0, -30> }
   }

//------------- Dark Brown & Tan swirl Granite with gray undertones
define Stone10
texture {
   layered
      Grnt3a { scale <1, 2, 1> rotate <0, 0, -50> },
      Grnt17a { scale <3, 6, 2> rotate <0, 0, 50> },
      shiny_black
   }

//------------- Rose & White Marble with dark tan swirl
define Stone11
texture {
   layered
      Crack1 { scale <1, 2, 1.4> rotate <10, 0, -20> },
      Grnt2a { scale <3, 3, 4> rotate <0, 0, 40> },
      Grnt15a { scale <1.2, 3, 1.5> rotate <70, 0, 30> },
      shiny_black
   }

//------------- White & Pinkish Tan Marble
define Stone12
texture {
   layered
      Grnt0a { scale <1, 3, 2> rotate <0, 0, -30> },
      Grnt23 { scale <1, 5, 1> rotate <0, 0, 50> }
   }

//------------- Medium Gray Blue Marble
define Stone13
texture {
   layered
      Grnt8a { scale <1, 3, 2> rotate <0, 0, -30> },
      Grnt24 { scale <2, 5, 2> rotate <0, 0, 50> }
   }

//------------- Tan & Olive Marble with gray white veins
define Stone14
texture {
   layered
      Grnt19a { scale <1, 3, 1> rotate <0, 0, 40> },
      Grnt6 { scale <2, 3, 2> rotate <0, 0, -30> }
   }

//------------- Deep Gray Marble with white veining
define Stone15
texture {
   layered
      Grnt8a { scale <1, 2, 1> rotate <0, 0, 40> },
      Grnt20 { scale <1, 2, 2> rotate <0, 0, -30> }
   }

//------------- Peach & Yellow Marble with white veining
define Stone16
texture {
   layered
      Grnt20a { scale <1, 2, 1> rotate <0, 0, 40> },
      Grnt19a { scale <2, 4, 2> rotate <0, 0, -30> },
      Grnt18 { scale <1.3, 2, 2> rotate <0, 0, -30> }
   }

//------------- White Marble with gray veining
define Stone17
texture {
   layered
      Crack3 { scale <1, 2, 1.4> rotate <10, 0, -20> },
      Grnt20 { scale <1, 2, 2> rotate <0, 0, -30> }
   }

//------------- Green Jade with white veining
define Stone18
texture {
   layered
      Crack4 { scale <0.7, 1, 1> rotate <10, 0, -20> },
      Grnt20a { scale <2.5, 2, 0.5> rotate <0, 0, -50> },
      Grnt21b { scale <1.5, 0.7, 0.5> rotate <0, 0, 40> }
   }

//------------- Peach Granite with white patches & green trim
define Stone19
texture {
   layered
      Grnt20a { scale <2, 3, 1> rotate <10, 0, -20> },
      Grnt26 { scale <1, 0.7, 0.5> rotate <0, 0, 40> }
   }

//------------- Brown & Olive Marble with white veining
define Stone20
texture {
   layered
      Crack1 { scale <1, 0.6, 1> rotate <10, 0, -20> },
      Grnt20a { scale <1.9, 3, 0.5> rotate <0, 0, -50> },
      Grnt12a { scale <1, 1.3, 2> rotate <0, 0, 40> },
      Grnt27 { scale <0.7, 0.99, 0.7> rotate <0, 0, 40> }
   }

//------------- Red Marble with gray & white veining
define Stone21
texture {
   layered
      Crack4 { scale <1, 0.6, 1> rotate <10, 0, -20> },
      Grnt22 { scale <1, 2, 2> rotate <0, 0, 40> },
      Grnt29 { scale <1.3, 2.5, 1.7> rotate <0, 0, 40> }
   }

//------------- Dark Tan Marble with gray & white veining
define Stone22
texture {
   layered
      Crack4 { rotate <10, 0, -40> },
      Grnt22 { scale <2, 4, 1.5> rotate <0, 0, -50> },
      Grnt8a { scale <1, 2, 2> rotate <0, 0, 40> },
      shiny_tan
   }

//------------- Peach & Cream Marble with orange veining
define Stone23
texture {
   layered
      clear_yellow,
      Crack1 { scale <1, 2, 1.5> rotate <0, 0, 40> },
      Grnt24a { scale <2, 1, 2> rotate <40, 0, 30> },
      Grnt29 { scale <1, 1, 2> rotate <40, 0, 30> }
   }

//------------- Green & Tan Moss Marble
define Stone24
texture {
   layered
      Grnt23a { scale <2, 1, 2> rotate <40, 0, -30> },
      Grnt25 { scale <1, 1, 2> rotate <0, 0, 50> rotate <20, 0, 30> }
   }

